export declare class VaporwaveFinanceVaultDefinitionsResolver {
    private getVaultDefinitionsData;
    private getVaultApyData;
    getVaultDefinitions(): Promise<{
        address: string;
        underlyingTokenAddress: string;
        name: string;
        id: string;
    }[]>;
    getVaultApy(id: string): Promise<any>;
}
